execution state
Create execution state handoffs
Requires scopes: runs:write
POST
/
api
/
execution-state
/
sessions
/
{sessionId}
/
handoffs
Create execution state handoffs
curl --request POST \
--url https://evalgate.com/api/execution-state/sessions/{sessionId}/handoffs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"privacyViewId": "<string>",
"idempotencyKey": "<string>",
"sourceHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
},
"destinationHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
},
"destination": {
"provider": "<string>",
"model": "<string>",
"threadId": "<string>",
"routingProfileId": "<string>",
"runnerId": "<string>",
"modelSnapshot": "<string>"
},
"contextViewId": "<string>",
"expirationMinutes": 123
}
'import requests
url = "https://evalgate.com/api/execution-state/sessions/{sessionId}/handoffs"
payload = {
"privacyViewId": "<string>",
"idempotencyKey": "<string>",
"sourceHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
},
"destinationHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
},
"destination": {
"provider": "<string>",
"model": "<string>",
"threadId": "<string>",
"routingProfileId": "<string>",
"runnerId": "<string>",
"modelSnapshot": "<string>"
},
"contextViewId": "<string>",
"expirationMinutes": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
privacyViewId: '<string>',
idempotencyKey: '<string>',
sourceHarnessProfileRef: {
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaVersion: 1,
kind: 'prompt',
artifactId: '<string>',
versionId: '<string>',
contentHash: '<string>',
environment: 'local',
dependencySnapshotHash: '<string>'
},
destinationHarnessProfileRef: {
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaVersion: 1,
kind: 'prompt',
artifactId: '<string>',
versionId: '<string>',
contentHash: '<string>',
environment: 'local',
dependencySnapshotHash: '<string>'
},
destination: {
provider: '<string>',
model: '<string>',
threadId: '<string>',
routingProfileId: '<string>',
runnerId: '<string>',
modelSnapshot: '<string>'
},
contextViewId: '<string>',
expirationMinutes: 123
})
};
fetch('https://evalgate.com/api/execution-state/sessions/{sessionId}/handoffs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "<string>",
"schemaVersion": 1,
"contentHash": "<string>",
"privacyViewId": "<string>",
"sessionId": "<string>",
"sourceSnapshotId": "<string>",
"sourceEpochId": "<string>",
"sourceHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
},
"destinationHarnessProfileRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
},
"destination": {
"provider": "<string>",
"model": "<string>",
"threadId": "<string>",
"routingProfileId": "<string>",
"runnerId": "<string>",
"modelSnapshot": "<string>"
},
"contextViewId": "<string>",
"continuityChecklist": [
{
"id": "<string>",
"description": "<string>",
"schemaVersion": 1,
"category": "objective_preserved",
"required": true
}
],
"requiredAcknowledgements": [
"objective"
],
"signature": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Body
application/json
Response
Successful response
Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
objective ⌘I
Create execution state handoffs
